#if !defined(AFX_PG_FLASHWND_H__8F829373_6509_11D3_9045_0020AFF7CE08__INCLUDED_)
#define AFX_PG_FLASHWND_H__8F829373_6509_11D3_9045_0020AFF7CE08__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PG_FlashWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// PG_FlashWnd window

class PG_FlashWnd : public CWnd
{
// Construction
public:
	PG_FlashWnd();

// Attributes
public:

// Operations
public:
	void Flash( CWnd *pParentWnd, CRect &rFromRect, CRect &rToRect );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(PG_FlashWnd)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~PG_FlashWnd();

private:
	void DrawZoomFrame( CDC &rDC );

private:
	CRect m_fromRect;
	CRect m_toRect;
	CRect m_lastRect;
	float m_fLStep;
	float m_fRStep;
	float m_fTStep;
	float m_fBStep;
	int m_stepNum;
	int m_nStep;

	// Generated message map functions
protected:
	//{{AFX_MSG(PG_FlashWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PG_FLASHWND_H__8F829373_6509_11D3_9045_0020AFF7CE08__INCLUDED_)
