// QURISyntax.cpp: implementation of the QURISyntax class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Query32.h"
#include "QURISyntax.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

QURISyntax::QURISyntax( CString &name ) : QSyntax( name )
{
}

QURISyntax::~QURISyntax()
{
}

//////////////////////////////////////////////////////////////////////
// QURISyntax::Print
// Print the URL label
void QURISyntax::Print( CString &str, char *ldap_val_ptr, unsigned long len )
{
	CString tmpStr = ldap_val_ptr;
	int nIndex = tmpStr.Find( ' ', 0 );
	str = tmpStr.Right( tmpStr.GetLength() - nIndex );
	str.TrimLeft();
	str.TrimRight();
}

//////////////////////////////////////////////////////////////////////
// QURISyntax::PrintRaw
// Print the URL component only
void QURISyntax::PrintRaw( CString &str, char *ldap_val_ptr, unsigned long len )
{
	CString tmpStr = ldap_val_ptr;
	int nIndex = tmpStr.Find( ' ', 0 );
	str = tmpStr.Left( nIndex );
	str.TrimLeft();
	str.TrimRight();
}

//////////////////////////////////////////////////////////////////////
// QURISyntax::Compare XXX Unimplemented
int QURISyntax::Compare( QValue &v1, QValue &v2 )
{
	return -1;
}

