// PG_CmdLineInfo.cpp: implementation of the PG_CmdLineInfo class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "PCPages32.h"
#include "PG_CmdLineInfo.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//
// Flags that we're interested in
#define PG_CMDFLAG_DONTCARE	1
#define PG_CMDFLAG_NOCONN	2
#define PG_CMDFLAG_NOSPLASH	3
#define PG_CMDFLAG_LOGFILE 4

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

PG_CmdLineInfo::PG_CmdLineInfo()
{
	m_bNoConnect = FALSE;
	m_dwLastFlag = PG_CMDFLAG_DONTCARE;
}

PG_CmdLineInfo::~PG_CmdLineInfo()
{
}

void PG_CmdLineInfo::ParseParam( LPCTSTR lpszParam, BOOL bFlag, BOOL bLast )
{
	extern CPCPages32App theApp;

	CString sParam = lpszParam;
	if ( bFlag == TRUE && sParam.CompareNoCase( "noconn" ) == 0 )
		{
			m_bNoConnect = TRUE;
			m_dwLastFlag = PG_CMDFLAG_NOCONN;
		}
	else if ( bFlag == TRUE && sParam.CompareNoCase( "nosplash" ) == 0 )
		{
			m_bShowSplash = FALSE;
			m_dwLastFlag = PG_CMDFLAG_NOSPLASH;
		}
	else if ( bFlag == TRUE && sParam.CompareNoCase( "logfile" ) == 0 )
		{
			m_dwLastFlag = PG_CMDFLAG_LOGFILE;
		}
	else if ( bFlag == FALSE && m_dwLastFlag == PG_CMDFLAG_LOGFILE )
		{
			theApp.DS()->Open( sParam );
		}
	else
		{
			CCommandLineInfo::ParseParam( lpszParam, bFlag, bLast );
			m_dwLastFlag = PG_CMDFLAG_DONTCARE;
		}
}
