// PG_FormHandler.h: interface for the PG_FormHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PG_FORMHANDLER_H__D06EEC00_45AF_11D3_89E9_DC5C37D5F97D__INCLUDED_)
#define AFX_PG_FORMHANDLER_H__D06EEC00_45AF_11D3_89E9_DC5C37D5F97D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "QFormSearch.h"

class PG_FormHandler : public QRequester  
{
public:
	PG_FormHandler();
	virtual ~PG_FormHandler();

public:
	void Reset();
  void HandleActivity( QDUAActivity event, QRequestMsg *pMsg );

private:
	void Report( QRequestMsg *pMsg );
	void ReportOpCount( QFormReport *pReport );
	void ReportInterimMatches( PtrList<QEntry> &rEntryList );
	void Error( QRequestMsg *pMsg );
	void Result( QRequestMsg *pMsg );
	void Complete( QRequestMsg *pMsg );

private:
	unsigned int m_nMatchNum;
};

#endif // !defined(AFX_PG_FORMHANDLER_H__D06EEC00_45AF_11D3_89E9_DC5C37D5F97D__INCLUDED_)
